Debian Bug report logs - #665877
ncurses-term: /usr/share/terminfo/s/st-256color conflicts with file from suckless-tools

version graph

Package: ncurses-term; Maintainer for ncurses-term is Craig Small <csmall@debian.org>; Source for ncurses-term is src:ncurses.

Reported by: "Alexander V. Kudrevatykh" <kudrevatykh@gmail.com>

Date: Mon, 26 Mar 2012 18:33:01 UTC

Severity: serious

Merged with 666392

Found in version ncurses/5.9-5

Fixed in version ncurses/5.9-6

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kudrevatykh@gmail.com, Craig Small <csmall@debian.org>:
Bug#665877; Package ncurses-term. (Mon, 26 Mar 2012 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alexander V. Kudrevatykh" <kudrevatykh@gmail.com>:
New Bug report received and forwarded. Copy sent to kudrevatykh@gmail.com, Craig Small <csmall@debian.org>. (Mon, 26 Mar 2012 18:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Alexander V. Kudrevatykh" <kudrevatykh@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools
Date: Mon, 26 Mar 2012 22:30:10 +0400
Package: ncurses-term
Version: 5.9-4
Severity: normal

version 5.9-5 fails to install when suckless-tools installed



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information




Bug reassigned from package 'ncurses-term' to 'ncurses-term,suckless-tools'. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:00:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions ncurses/5.9-4. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:00:10 GMT) Full text and rfc822 format available.

Marked as found in versions ncurses-term/5.9-5. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:00:10 GMT) Full text and rfc822 format available.

Marked as found in versions suckless-tools/38-1. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:00:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:00:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'ncurses-term: /usr/share/terminfo/s/st-256color conflicts with file from suckless-tools' from 'ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:00:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>, Kai Hendry <hendry@iki.fi>:
Bug#665877; Package ncurses-term,suckless-tools. (Mon, 26 Mar 2012 19:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>, Kai Hendry <hendry@iki.fi>. (Mon, 26 Mar 2012 19:51:13 GMT) Full text and rfc822 format available.

Message #22 received at 665877@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 665877@bugs.debian.org
Cc: suckless-tools@packages.debian.org, Michael Stummvoll <michael@stummi.org>
Subject: Re: Bug#665877: ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools
Date: Mon, 26 Mar 2012 21:47:23 +0200
# reassign to ncurses-term only, since we're the ones who introduced
# the file conflict
reassign 665877 ncurses-term 5.9-5
clone 665877 -1
reassign -1 suckless-tools 38-1
severity -1 wishlist
retitle -1 suckless-tools: stop providing /usr/share/terminfo/s/st-256color
thanks

On 2012-03-26 20:30 +0200, Alexander V. Kudrevatykh wrote:

> Package: ncurses-term
> Version: 5.9-4

Should have read 5.9-5, but this has already been corrected.

> Severity: normal

Correct would have been serious, has been corrected as well.

> version 5.9-5 fails to install when suckless-tools installed

Sorry for not having noticed this in advance.  There are two
possibilities to solve that problem:

1. Stop shipping the st-256color terminfo entry in ncurses-term and
   continue to include it in suckless-tools.

2. Include st-256color in ncurses-term and stop shipping it in
   suckless-tools, which means that suckless-tools have to depend on
   ncurses-term (>= 5.9-5), and ncurses-term will add Replaces+Breaks on
   suckless-tools (<< 39-1) (or whatever version is the first to stop
   shipping st-256color).

I would prefer option 2, since it means that st users actually have a
reasonable chance to find the terminfo entries when they connect to
remote systems, but if the suckless-tools maintainer disagrees, we can
also go for the first option.

Michael (as the prospective suckless-tools maintainer), what is your
opinion on that?  I noticed that the version on mentors.debian.net has
already dropped the terminfo entry, but that may have been
unintentional.

Cheers,
       Sven




Bug reassigned from package 'ncurses-term,suckless-tools' to 'ncurses-term'. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:51:16 GMT) Full text and rfc822 format available.

No longer marked as found in versions suckless-tools/38-1 and ncurses-term/5.9-5. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:51:17 GMT) Full text and rfc822 format available.

Marked as found in versions ncurses/5.9-5. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:51:18 GMT) Full text and rfc822 format available.

Bug 665877 cloned as bug 665884 Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 26 Mar 2012 19:51:18 GMT) Full text and rfc822 format available.

Added indication that 665877 affects suckless-tools Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Tue, 27 Mar 2012 08:09:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665877; Package ncurses-term. (Tue, 27 Mar 2012 08:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 08:12:05 GMT) Full text and rfc822 format available.

Message #37 received at 665877@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 665877@bugs.debian.org
Subject: Re: ncurses-term: /usr/share/terminfo/s/st-256color conflicts with file from suckless-tools
Date: Tue, 27 Mar 2012 10:09:21 +0200
Hello,

according to the Contents file, these two files exist both in
ncurses-term/5.9-5 and suckless-tools/38-1:

  /usr/share/terminfo/s/st
  /usr/share/terminfo/s/st-256color

-Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665877; Package ncurses-term. (Tue, 27 Mar 2012 10:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 10:54:17 GMT) Full text and rfc822 format available.

Message #42 received at 665877@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 665877@bugs.debian.org
Cc: Michael Stummvoll <michael@stummi.org>
Subject: Re: Bug#665877: ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools
Date: Tue, 27 Mar 2012 06:51:16 -0400
[Message part 1 (text/plain, inline)]
On Mon, Mar 26, 2012 at 09:47:23PM +0200, Sven Joachim wrote:
> # reassign to ncurses-term only, since we're the ones who introduced
> # the file conflict
> reassign 665877 ncurses-term 5.9-5
> clone 665877 -1
> reassign -1 suckless-tools 38-1
> severity -1 wishlist
> retitle -1 suckless-tools: stop providing /usr/share/terminfo/s/st-256color
> thanks
> 
> On 2012-03-26 20:30 +0200, Alexander V. Kudrevatykh wrote:
> 
> > Package: ncurses-term
> > Version: 5.9-4
> 
> Should have read 5.9-5, but this has already been corrected.
> 
> > Severity: normal
> 
> Correct would have been serious, has been corrected as well.
> 
> > version 5.9-5 fails to install when suckless-tools installed
> 
> Sorry for not having noticed this in advance.  There are two
> possibilities to solve that problem:
> 
> 1. Stop shipping the st-256color terminfo entry in ncurses-term and
>    continue to include it in suckless-tools.
> 
> 2. Include st-256color in ncurses-term and stop shipping it in
>    suckless-tools, which means that suckless-tools have to depend on
>    ncurses-term (>= 5.9-5), and ncurses-term will add Replaces+Breaks on
>    suckless-tools (<< 39-1) (or whatever version is the first to stop
>    shipping st-256color).

I noticed an error in ncurses' st-256color (the use= clauses are in the
wrong order).  Fix will be in the next patch...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665877; Package ncurses-term. (Tue, 27 Mar 2012 13:00:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stummvoll <michael@stummi.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 13:00:19 GMT) Full text and rfc822 format available.

Message #47 received at 665877@bugs.debian.org (full text, mbox):

From: Michael Stummvoll <michael@stummi.org>
To: 665877@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#665877: ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools
Date: Tue, 27 Mar 2012 14:49:08 +0200
Hi,

> Michael (as the prospective suckless-tools maintainer), what is your
> opinion on that?  I noticed that the version on mentors.debian.net has
> already dropped the terminfo entry, but that may have been
> unintentional.

this file was part of the terminal emulator 'st', which is maintained in
stterm and so will be dropped from suckless-tools in the next version.

Kind regards,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665877; Package ncurses-term. (Tue, 27 Mar 2012 15:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 27 Mar 2012 15:45:11 GMT) Full text and rfc822 format available.

Message #52 received at 665877@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Michael Stummvoll <michael@stummi.org>
Cc: 665877@bugs.debian.org
Subject: Re: Bug#665877: ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools
Date: Tue, 27 Mar 2012 17:25:26 +0200
On 2012-03-27 14:49 +0200, Michael Stummvoll wrote:

>> Michael (as the prospective suckless-tools maintainer), what is your
>> opinion on that?  I noticed that the version on mentors.debian.net has
>> already dropped the terminfo entry, but that may have been
>> unintentional.
>
> this file was part of the terminal emulator 'st', which is maintained in
> stterm and so will be dropped from suckless-tools in the next version.

I see.  Do you have an ETA when suckless-tools might be uploaded?  I
would not like to declare a "Breaks" relationship on suckless-tools as
long as no fixed version is in the archive.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665877; Package ncurses-term. (Wed, 28 Mar 2012 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stummvoll <michael@stummi.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 28 Mar 2012 12:30:07 GMT) Full text and rfc822 format available.

Message #57 received at 665877@bugs.debian.org (full text, mbox):

From: Michael Stummvoll <michael@stummi.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 665877@bugs.debian.org
Subject: Re: Bug#665877: ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools
Date: Wed, 28 Mar 2012 14:06:37 +0200
Am Tue, 27 Mar 2012 17:25:26 +0200
schrieb Sven Joachim <svenjoac@gmx.de>:

> I see.  Do you have an ETA when suckless-tools might be uploaded?  I
> would not like to declare a "Breaks" relationship on suckless-tools as
> long as no fixed version is in the archive.

I didn't had much time for working on the package last days, and there
are still some litte thinks to do on it before uploading. the
new suckless-tools package is actually maintained on collab-maint and I
have an DD who intents to upload the package when its done.

May I can work on it the next days or at the weekend, but I can't
promise.

Kind Regards,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#665877; Package ncurses-term. (Wed, 28 Mar 2012 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 28 Mar 2012 16:33:06 GMT) Full text and rfc822 format available.

Message #62 received at 665877@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Michael Stummvoll <michael@stummi.org>
Cc: 665877@bugs.debian.org
Subject: Re: Bug#665877: ncurses-term: /usr/share/terminfo/s/st-256color confilcted with file from suckless-tools
Date: Wed, 28 Mar 2012 18:31:46 +0200
On 2012-03-28 14:06 +0200, Michael Stummvoll wrote:

> Am Tue, 27 Mar 2012 17:25:26 +0200
> schrieb Sven Joachim <svenjoac@gmx.de>:
>
>> I see.  Do you have an ETA when suckless-tools might be uploaded?  I
>> would not like to declare a "Breaks" relationship on suckless-tools as
>> long as no fixed version is in the archive.
>
> I didn't had much time for working on the package last days, and there
> are still some litte thinks to do on it before uploading. the
> new suckless-tools package is actually maintained on collab-maint and I
> have an DD who intents to upload the package when its done.
>
> May I can work on it the next days or at the weekend, but I can't
> promise.

No problem, if it is not ready in a few days I'll blacklist the
st{,-256color} terminfo entries for now and re-enable them later.

Cheers,
       Sven




Merged 665877 666392 Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 12:00:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 01 Apr 2012 13:09:11 GMT) Full text and rfc822 format available.

Message sent on to "Alexander V. Kudrevatykh" <kudrevatykh@gmail.com>:
Bug#665877. (Sun, 01 Apr 2012 13:09:17 GMT) Full text and rfc822 format available.

Message #69 received at 665877-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 665877-submitter@bugs.debian.org
Subject: Bug#665877 marked as pending
Date: Sun, 01 Apr 2012 13:05:35 +0000
tag 665877 pending
thanks

Hello,

Bug #665877 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=f1ca655

---
commit f1ca655b6d73ab407174bfe8b7b875f2d78b913d
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Apr 1 14:25:55 2012 +0200

    Blacklist st and st-256color terminfo entries
    
    When suckless-tools gets fixed to not include these terminfo entries,
    we should re-add them and add the necessary Breaks/Replaces stanza to
    debian/control.

diff --git a/debian/changelog b/debian/changelog
index cf9de68..5d8c0bd 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,13 @@
 ncurses (5.9-6) UNRELEASED; urgency=low
 
+  [ Craig Small ]
   * Permit DMs to upload
 
- -- Craig Small <csmall@debian.org>  Tue, 27 Mar 2012 08:34:08 +1100
+  [ Sven Joachim ]
+  * Blacklist st and st-256color terminfo entries until suckless-tools
+    stops shipping them (Closes: #665877).
+
+ -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Apr 2012 14:25:29 +0200
 
 ncurses (5.9-5) unstable; urgency=low
 




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Mon, 09 Apr 2012 13:09:11 GMT) Full text and rfc822 format available.

Notification sent to "Alexander V. Kudrevatykh" <kudrevatykh@gmail.com>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 13:09:11 GMT) Full text and rfc822 format available.

Message #74 received at 665877-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 665877-close@bugs.debian.org
Subject: Bug#665877: fixed in ncurses 5.9-6
Date: Mon, 09 Apr 2012 13:04:06 +0000
Source: ncurses
Source-Version: 5.9-6

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.9-6_amd64.deb
lib32ncurses5_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.9-6_amd64.deb
lib32ncursesw5-dev_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.9-6_amd64.deb
lib32ncursesw5_5.9-6_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.9-6_amd64.deb
lib32tinfo-dev_5.9-6_amd64.deb
  to main/n/ncurses/lib32tinfo-dev_5.9-6_amd64.deb
lib32tinfo5_5.9-6_amd64.deb
  to main/n/ncurses/lib32tinfo5_5.9-6_amd64.deb
libncurses5-dbg_5.9-6_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.9-6_amd64.deb
libncurses5-dev_5.9-6_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.9-6_amd64.deb
libncurses5_5.9-6_amd64.deb
  to main/n/ncurses/libncurses5_5.9-6_amd64.deb
libncursesw5-dbg_5.9-6_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.9-6_amd64.deb
libncursesw5-dev_5.9-6_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.9-6_amd64.deb
libncursesw5_5.9-6_amd64.deb
  to main/n/ncurses/libncursesw5_5.9-6_amd64.deb
libtinfo-dev_5.9-6_amd64.deb
  to main/n/ncurses/libtinfo-dev_5.9-6_amd64.deb
libtinfo5-dbg_5.9-6_amd64.deb
  to main/n/ncurses/libtinfo5-dbg_5.9-6_amd64.deb
libtinfo5_5.9-6_amd64.deb
  to main/n/ncurses/libtinfo5_5.9-6_amd64.deb
ncurses-base_5.9-6_all.deb
  to main/n/ncurses/ncurses-base_5.9-6_all.deb
ncurses-bin_5.9-6_amd64.deb
  to main/n/ncurses/ncurses-bin_5.9-6_amd64.deb
ncurses-doc_5.9-6_all.deb
  to main/n/ncurses/ncurses-doc_5.9-6_all.deb
ncurses-examples_5.9-6_amd64.deb
  to main/n/ncurses/ncurses-examples_5.9-6_amd64.deb
ncurses-term_5.9-6_all.deb
  to main/n/ncurses/ncurses-term_5.9-6_all.deb
ncurses_5.9-6.debian.tar.gz
  to main/n/ncurses/ncurses_5.9-6.debian.tar.gz
ncurses_5.9-6.dsc
  to main/n/ncurses/ncurses_5.9-6.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665877@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Apr 2012 10:35:00 +0200
Source: ncurses
Binary: libncurses5 libtinfo5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: source amd64 all
Version: 5.9-6
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Closes: 665877 665959
Changes: 
 ncurses (5.9-6) unstable; urgency=low
 .
   [ Craig Small ]
   * Permit DMs to upload
 .
   [ Sven Joachim ]
   * Blacklist st and st-256color terminfo entries until suckless-tools
     stops shipping them (Closes: #665877).
   * Update terminfo descriptions to the 20120407 upstream patchlevel.
     - Revert to linux2.2 rather than linux3.0 as the base for the linux
       terminfo entry, since the latter breaks display of line drawing
       characters in non-UTF-8 locales (closes: #665959).
Checksums-Sha1: 
 1c6de757ce40700121606fd20e502bef24848485 3116 ncurses_5.9-6.dsc
 f70cc250293da37bd23b3523ea29bef1287e649b 76783 ncurses_5.9-6.debian.tar.gz
 55dac91744fd46823ed1e01ec4ea0de05ecc385e 298046 libncurses5_5.9-6_amd64.deb
 fa5b1aa763efe854d0b8468fa32f41e368a9b20d 273158 libtinfo5_5.9-6_amd64.deb
 1b180ae119cb56e09c60e14aca26b066e397168f 102712 libtinfo-dev_5.9-6_amd64.deb
 552a07b270e43e3b2085bdda0a918520eb147c3c 681260 libtinfo5-dbg_5.9-6_amd64.deb
 d8d6bbcc0f157bbe2f5ec75c466d5d031861bbdb 406220 libncurses5-dev_5.9-6_amd64.deb
 1dc90c17265fbfc01430769fbdb15d87345762bb 3124568 libncurses5-dbg_5.9-6_amd64.deb
 93a26b86b5a3f6e132b8f9096d676580a7b067e8 322380 libncursesw5_5.9-6_amd64.deb
 16c23adc6785b3f24d3095fa824d34968bcb8e30 438302 libncursesw5-dev_5.9-6_amd64.deb
 abf9ed092f66362480a178ab63e230e921540e9e 2222176 libncursesw5-dbg_5.9-6_amd64.deb
 35acb67542392d2868cc66b329b538d90075c93c 297954 lib32ncurses5_5.9-6_amd64.deb
 5d03abf7e7cf6621dee65c3691332e878a88a8bd 332550 lib32ncurses5-dev_5.9-6_amd64.deb
 2adb72b0817d773463fff767c7d95f9a01943c58 327960 lib32ncursesw5_5.9-6_amd64.deb
 398fb108cce1d1a80ef78cb8bc0588da95d1b0d9 366092 lib32ncursesw5-dev_5.9-6_amd64.deb
 ab15d913a7336f3386e3279980ecfc7a50f14b90 268524 lib32tinfo5_5.9-6_amd64.deb
 78a297d65b7ea7e9008a70722bb31054162187ec 91424 lib32tinfo-dev_5.9-6_amd64.deb
 a0088d7164cde6a181e60faf5b64b0fe3b328848 334190 ncurses-bin_5.9-6_amd64.deb
 49a38afcf172467179443bf7bbfcacdd7c03755e 445454 ncurses-examples_5.9-6_amd64.deb
 684594ac6ca810ec9d714d8d14042be3fbe3c840 198394 ncurses-base_5.9-6_all.deb
 972a8c513d92e7417dd667fcca09ee75b16d0889 599772 ncurses-term_5.9-6_all.deb
 0af0a416457df2af2daa56ac51db0c4ba5daaf1a 1009562 ncurses-doc_5.9-6_all.deb
Checksums-Sha256: 
 ca7c099aa606500f9ebeee4b3c265e4b7ecba9bba343aa5191aa927c4fabdd25 3116 ncurses_5.9-6.dsc
 83689fe5ef9446366496f6557b8248e88fa784d4f6fd103024dc50a2cdd3081f 76783 ncurses_5.9-6.debian.tar.gz
 c78c8fb54da5955aeb1efaca14cef405f6deeeb077ac7c6cfc314bdf300af495 298046 libncurses5_5.9-6_amd64.deb
 ffdeda6f8b82a3b643949c142660d9a97cf0ed50fc84a5beed341939a12d6fd5 273158 libtinfo5_5.9-6_amd64.deb
 cac68cb69912738c6ad629aa6a5c60df66651b5680daae7ffa2bc8cb08b7a88a 102712 libtinfo-dev_5.9-6_amd64.deb
 c806a275ff284e54c88ebd96586b3b61deb3c7f418cddf066f0c1c85677058a0 681260 libtinfo5-dbg_5.9-6_amd64.deb
 2d67c788301d80f2624fd1f2041887d2c63e64229a0321a346bef54deabbc912 406220 libncurses5-dev_5.9-6_amd64.deb
 0b2720db3743ded51fff7ae750651b64dcbcaee2ecf651ef19df924283b998fa 3124568 libncurses5-dbg_5.9-6_amd64.deb
 4537b789317384bad1e0085f18fdf233e44bce53ab147ac45959b684b5e85b19 322380 libncursesw5_5.9-6_amd64.deb
 6057b6b6402d4716aed85fe926cd23c442d2849be488ef1e689865690a8d17b4 438302 libncursesw5-dev_5.9-6_amd64.deb
 f235bdd2703b1f5efe2f9a98eb5c61e8e51632c059ead43e59f71c2bf3f2a2ad 2222176 libncursesw5-dbg_5.9-6_amd64.deb
 45fd72cfa0c11c4d67521e8e0ec29b2d85ff8650d747921a0f66b8626a03b7cb 297954 lib32ncurses5_5.9-6_amd64.deb
 4d80fdcd21d51ed227418a20cb8e27b520c5795ab70aa57d5424cfa14d47414a 332550 lib32ncurses5-dev_5.9-6_amd64.deb
 40c940520a91e695fe998dd773a33809a1a997b308328d9ae09fcde7b7aa7a49 327960 lib32ncursesw5_5.9-6_amd64.deb
 39633b885814efa1a0de888e74f72b33551be9c2c8384eb2ac83a1f46eff09d8 366092 lib32ncursesw5-dev_5.9-6_amd64.deb
 ef5104d7da4050d19c81c8ee0b99685135a69efaa53a738648ca7b26c304d169 268524 lib32tinfo5_5.9-6_amd64.deb
 cb0ccdeebf54b88ad8ea827b2cf411e219fd43367d8457bf1416cd6c6541b0e7 91424 lib32tinfo-dev_5.9-6_amd64.deb
 b63fa85517f7f1d9b2f483e6514b14582e3a70ce8ef2f0632ab7be589a9168d6 334190 ncurses-bin_5.9-6_amd64.deb
 ad5606cbf51adffd7ec39dc9a6e59ebf06f449f26babce7d67bc394279872cdb 445454 ncurses-examples_5.9-6_amd64.deb
 55b40db61ebfc63981ab051c5d4c5aefcca366fc46012b10de7f20a2cb1289d9 198394 ncurses-base_5.9-6_all.deb
 51b2b4dc691c8de204f7e2c54ea4e148b1d6fac4ecf5961d0f78326d1a85defe 599772 ncurses-term_5.9-6_all.deb
 d661e6bbd885774681ae8c68211fa002c6709c86dd219ac155db7fd59109a083 1009562 ncurses-doc_5.9-6_all.deb
Files: 
 e456d01cfe41b528284e6def61db2b36 3116 libs required ncurses_5.9-6.dsc
 08dc059013efee3cae23a44ccd9ba152 76783 libs required ncurses_5.9-6.debian.tar.gz
 194ea68871b13790a5925462f18fdb94 298046 libs required libncurses5_5.9-6_amd64.deb
 b8f93099b590eb86b46883e63344dc1e 273158 libs required libtinfo5_5.9-6_amd64.deb
 039815be11902059d230d0ed667bf3f9 102712 libdevel optional libtinfo-dev_5.9-6_amd64.deb
 efe6cf0d1108b0e897313fe61af61ba5 681260 debug extra libtinfo5-dbg_5.9-6_amd64.deb
 ee611cc90096212d7ece89e18c5c91ff 406220 libdevel optional libncurses5-dev_5.9-6_amd64.deb
 592e50fd3ea144306de78f57cbc929e8 3124568 debug extra libncurses5-dbg_5.9-6_amd64.deb
 2362303769e7c1300fa004e652cf3b33 322380 libs important libncursesw5_5.9-6_amd64.deb
 ab19622313f4196c85493cbb86e069e9 438302 libdevel optional libncursesw5-dev_5.9-6_amd64.deb
 cd0f72f5ea9dee88f1c3726a8a57c17b 2222176 debug extra libncursesw5-dbg_5.9-6_amd64.deb
 66c31589a9a4195d38cb3a0346b96651 297954 libs optional lib32ncurses5_5.9-6_amd64.deb
 89337db3ebb0a23c73ada5d8f3e14b8b 332550 libdevel optional lib32ncurses5-dev_5.9-6_amd64.deb
 9f1c3154398a15b140b8428949ce2382 327960 libs optional lib32ncursesw5_5.9-6_amd64.deb
 17d2091abdcc499dbaa3a1079c59f56d 366092 libdevel optional lib32ncursesw5-dev_5.9-6_amd64.deb
 593a31c19eacb0ea59ffe27dfb649f44 268524 libs optional lib32tinfo5_5.9-6_amd64.deb
 ba1ef27bf38736c668076d49e066d26d 91424 libdevel optional lib32tinfo-dev_5.9-6_amd64.deb
 9fba59e94be1298ac7ab92308ede29a7 334190 utils required ncurses-bin_5.9-6_amd64.deb
 97bc1ed3e37a7947ae737c98d3796b3e 445454 misc optional ncurses-examples_5.9-6_amd64.deb
 1228cec1658cde1cc0dff26e73d3b93b 198394 utils required ncurses-base_5.9-6_all.deb
 12bdd0833783ca3f74ba274c4d6a55eb 599772 admin standard ncurses-term_5.9-6_all.deb
 3d74c2ba709aa05c1f492fb7f14367de 1009562 doc optional ncurses-doc_5.9-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPgtpVAAoJEDk4+WvfUP6lWsQP/iHhkDh6c2yQTkYq1Y1G6YEw
qC3RjC/2nBkLN5lBLjW2V4j8ljH/7FgQ70AxsEOiVLb9SOzsd8AnKEK78mW5zG94
14tvux1cHj8tsBvy10ArxoEYUbaI1I29IS+QfBTH15uhPMF9+6fi73yIxLOKtyXZ
mY3y3yBKnxMY9w36/crYdW89ZtWq750pcbDl4CKFLLTNeGiz0WSDVsrhRG31NBZS
XIwGvLux/MVexigaJ1EA11wIzqBpzxEgO7QTx35YXg3xJrU0dAW/APB6nj9J4bLj
UdmEZpnlCF3UUmSjHCLsm5zim7jIBJ51lZw0iqpCfDisZ9SvLVhuB9D4ahe1x08Y
aoAXUhBpy4i+XGJZ7o7n/v42akUv2j/4f3kad914oT8JPnepubRfO1Ym91qIdJSc
K19GLTq4ltoKLk+gFGdmAp1xG5d5q3pYmaJExBuGEK+333P61aZ7rgRRXH1HANNb
uSpW0wP2ubPapUFC57Phw3tVmbUfzSShFPkOW5Uu+qRC1s6kR9K/RxRHdAvWbq7a
5DIAZPoi1IjH4XXFnkLv+VH6cutOCO+V9kKOulQskW0aNgCi/EO+gIlFh/f45jhw
6Hd6/QDWf60V3Adka1EApoO4CERLbcbKog4VLXJBluupfrwuF0JLyYYrnZkB3cvx
RJe9HYG7DaXYpCYM6/FC
=vLvD
-----END PGP SIGNATURE-----





Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Mon, 09 Apr 2012 13:09:13 GMT) Full text and rfc822 format available.

Notification sent to Andrew Shadura <bugzilla@tut.by>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 13:09:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 May 2012 07:41:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:29:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.